#!/bin/sh

if [ "$SETSID" != '1' ]; then
  SETSID=1 setsid "$0" "$@" &
  exit 0
fi

if pgrep syncthing; then
  exit 0
fi

SYNCTHING_HOME=/mnt/onboard/.adds/syncthing

# add 127.0.0.1 to loopback device
ip addr add 127.0.0.1/32 dev lo || true

/usr/local/syncthing/syncthing serve --no-browser --no-restart --logflags=0 \
  --no-default-folder --home="$SYNCTHING_HOME"
exit $?
